SciQLOP - Bug #739

Times with high precision appear stacked
11/07/2016 03:43 PM - Anonymous

Status: Closed Start date: 11/07/2016
Priority: Normal Due date:

Assignee: % Done: 100%
Category: legacy Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

Times with high precision appear stacked

History

#1 - 11/07/2016 03:45 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Solved by standardizing time in ms from epoch, in double , without use of QDateTime (error imprecision due to QDateTime operating on 32bits)

#2 - 13/07/2016 11:16 AM - Anonymous

- Status changed from Resolved to In Progress

These precision losses still appears.
After testing, it appears that it is due to :

e OpenGL not able to deal with numbers which dynamics exceeds float capability
e and when number dynamics exceeds double capability, even without OpenGL

#3 - 27/09/2017 09:47 PM - Nicolas Aunai

- Status changed from In Progress to Closed

#4 - 14/02/2019 10:28 AM - Nicolas Aunai
- Category set to legacy
